Package org.apache.cayenne.query

# Class MappedExec

java.lang.Object
org.apache.cayenne.query.IndirectQuery
org.apache.cayenne.query.AbstractMappedQuery
org.apache.cayenne.query.MappedExec

All Implemented Interfaces:
  `Serializable`, `Query`

public class MappedExec extends AbstractMappedQuery
A query that represents a named parameterized non selecting query stored in the mapping. The actual query is resolved during execution.

Since:
  4.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.query.AbstractMappedQuery

  `params, queryName`

  ### Fields inherited from class org.apache.cayenne.query.IndirectQuery

  `dataMap, lastResolver, name, replacementQuery`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MappedExec(String queryName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryResult`
  `execute(ObjectContext context)`
  `MappedExec`
  `param(String name, Object value)`
  `MappedExec`
  `params(Map<String,?> parameters)`
  `static MappedExec`
  `query(String queryName)`
  `int[]`
  `update(ObjectContext context)`

  ### Methods inherited from class org.apache.cayenne.query.AbstractMappedQuery

  `createReplacementQuery, name`

  ### Methods inherited from class org.apache.cayenne.query.IndirectQuery

  `createSQLAction, getMetaData, getReplacementQuery, route`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MappedExec

    protected MappedExec(String queryName)

- ## Method Details

  - ### query

    public static MappedExec query(String queryName)

  - ### params

    public MappedExec params(Map<String,?> parameters)
    Overrides:
      `params` in class `AbstractMappedQuery`

  - ### param

    public MappedExec param(String name, Object value)
    Overrides:
      `param` in class `AbstractMappedQuery`

  - ### execute

    public QueryResult execute(ObjectContext context)

  - ### update

    public int[] update(ObjectContext context)